Subject: bug#30285: dired-do-chmod vs. top line of dired

From: Tino Calancha <[email-masked]>
Date: Mon, 5 Feb 2018 08:12:11 +0900 (JST)

On Thu, 1 Feb 2018, Drew Adams wrote:

>> I would like all `dired-do...' commands behave the same under the
>> 'X condition': * called from the top line ** no marked files.
>
> I've already said that it's not only about the top line.
> It's about the ordinary Dired situation of not being on a
> file line.  Plenty of Dired code already deals (simply)
> with this "X condition".
Sorry for the confussion:  I thought it was prety obvious
that 'X condition' was akind of summary of what the patch was doing.

It would be as easy as to read my commit message to realize that; or take 
a quick look in the diff I provided (dont need even to test it).  Then,
you would be talking about my work, not about what you guess it
is my work.  For the future, please try to at least read my commit
messages before make lot of observations about one patch that you didn't 
even read at all.  Thanks! :-)